% This m-file calculates the lift force on a particle
%
% NOTE: The expression is only valid for a particle touching the ground, so
% do not use for particles away from substrates
%
Flift = zeros(size(Fdep,1),size(Fdep,2),size(Fdep,3)); % initialize matrix
Lf = 9.257 * (4*1.5*Q/w/h^2)^2 * 1000 * obj.R^4;       % calculate scalar lift force
Flift(:,:,:) = Flift + liftfactor*Lf;                  % push into matrix
