% This mfile calculates the all the forces on a particle including the 
% multi-order DEP force, the gravitational force, lift force, drag force 
% and a rigid top/bottom boundary and adds them all up.
%
% Essentially needs all variables defined by hchar.
%
% Output is
%	Ft(x,y,z,1|2|3)  - total force expression in x, y, or z

calcdep    %generates DEP force Fdep
calcgrav   %generates gravitational force Fbuoy
calcdrag   %generates drag force Fdrag
calclift   %generates lift force Flift

% Calculate force
fprintf('Computing total force\n');
Ft = pol*Fdep;                          % Scale electrical force by pol factor
Ft(:,:,:,1) = Ft(:,:,:,1) + Fdrag;      % Add in drag force
Ft(:,:,:,3) = Ft(:,:,:,3) + Flift + Fgrav;      % Add in lift and gravitational force

% Add in gravitational force accounting for effect of rigid top/bottom
Ft(:,:,:,3) = rigidbound(Ft(:,:,:,3),x,y,z,obj.R,off);  

                                                                
                                                                